PatternReplaceCharFilterFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.PatternReplaceCharFilterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class PatternReplaceCharFilterFactory

    java.lang.Object
      org.apache.solr.analysis.BaseCharFilterFactory
          org.apache.solr.analysis.PatternReplaceCharFilterFactory

All Implemented Interfaces:
  CharFilterFactory

    public class PatternReplaceCharFilterFactory

extends BaseCharFilterFactory

Factory for `PatternReplaceCharFilter`.

     <fieldType name="text_ptnreplace" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.PatternReplaceCharFilterFactory" pattern="([^a-z])" replacement=""
                     maxBlockChars="10000" blockDelimiters="|"/>
         <tokenizer class="solr.KeywordTokenizerFactory"/>
       </analyzer>
     </fieldType>

Since:
  Solr 3.1
Version:
  $Id: PatternReplaceCharFilterFactory.java 1074023 2011-02-24 02:25:08Z koji $

Field Summary

Fields inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`args, log`

Constructor Summary
`PatternReplaceCharFilterFactory()`

Method Summary
`CharStream` | `create(CharStream input)`
`void` | `init(Map<String,String> args)`

Methods inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`getArgs, getInt, getInt, getInt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternReplaceCharFilterFactory

    public PatternReplaceCharFilterFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Specified by:
    `init` in interface `CharFilterFactory`
  Overrides:
    `init` in class `BaseCharFilterFactory`

### create

    public CharStream create(CharStream input)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD